<div class="widget">
  <div class="widget-button" ng-if="isType('button')">
    <button class="btn btn-cta btn-cta-blue" ng-click="onButton()">Button</button>
  </div>
  <div class="widget-slider" ng-if="isType('slider')">
    <bh-slider min="options.a.m" max="options.a.x" step="options.a.s" value="{{lastValue}}" on-change="onSlider(v)"></bh-slider>
    <div class="widget-slider-value">{{lastValue}}</div>
  </div>
  <div class="widget-gauge" ng-if="isType('gauge')">
    <bh-gauge min="options.a.m" max="options.a.x" value="{{lastValue}}"></bh-gauge>
    <div class="widget-gauge-value">{{lastValue}}</div>
  </div>
  <div class="widget-graph" ng-if="isType('graph')">
    <bh-graph min="options.a.m" max="options.a.x" stream="stream"></bh-graph>
  </div>
  <div class="widget-stream" ng-if="isType('stream')">
    <table>
      <tbody>
        <tr ng-repeat="m in stream track by $index">
          <td>{{m.data}}</td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="widget-toggle" ng-if="isType('toggle')">
    <bh-toggle on-value="{{options.a.o}}" off-value="{{options.a.f}}" on-label="{{options.a.O}}" off-label="{{options.a.F}}" on-toggle="onToggle(v)"></bh-toggle>
  </div>
</div>
